Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.action
Class ActionDef

    java.lang.Object
      com.bea.campaign.action.ActionDef

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  AddAdToPlaceholderActionDef, AddUserDiscountActionDef, EndScenarioActionDef, MailActionDef

    public class ActionDef

extends Object
implements Serializable

Definition of an Action object. This can be used to create an Action through the ActionServer so that the Action implementation classes will be reloaded by hot-deploying them along with the ActionServer EJB.

See Also
  Serialized Form

Constructor Summary
`ActionDef()`

Method Summary
`Action` | `createAction()` Create and return the Action implementation defined in the actionType field; initialized with the parameters in actionParams.
`Map` | `getActionParams()` Get the parameters for the Action.
`protected ActionService` | `getActionService()` Get the nearest java:comp/env/ejb/ActionService.
`String` | `getActionType()` Get the type of Action to create.
`void` | `setActionParams(Map map)` Set the parameters for the Action.
`void` | `setActionType(String s)` Set the type of Action to create.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionDef

    public ActionDef()

Method Detail

### createAction

    public Action createAction()
                        throws ActionException

  Create and return the Action implementation defined in the actionType field; initialized with the parameters in actionParams.

  This will attempt to use the nearest ejb-ref mapped to java:comp/env/ejb/ActionService.

  Returns
    the created Action implementation
  Throws
    `ActionException`

### getActionService

    protected ActionService getActionService()
                                      throws javax.ejb.CreateException,
                                             RemoteException

  Get the nearest java:comp/env/ejb/ActionService.

  Throws
    `javax.ejb.CreateException`
    `RemoteException`

### setActionParams

    public void setActionParams(Map map)

  Set the parameters for the Action. This is simply a map of name/value pairs; it is up to the developer to know what values must be passed to the particular Action implementation.

### getActionParams

    public Map getActionParams()

  Get the parameters for the Action. This is simply a map of name/value pairs; it is up to the developer to know what values must be passed to the particular Action implementation.

### setActionType

    public void setActionType(String s)

  Set the type of Action to create. This will be passed to the ActionServer, which will map the type to a class, and instantiate that class.

### getActionType

    public String getActionType()

  Get the type of Action to create. This will be passed to the ActionServer, which will map the type to a class, and instantiate that class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.